<template>
  <img
    v-if="alt"
    :data-full-width="fullWidth"
    :data-full-size="fullSize"
    class="dibs-img"
    :alt="alt"
    :src="`/img/${file}`"
  />
  <img
    v-else
    :data-full-width="fullWidth"
    :data-full-size="fullSize"
    class="dibs-img"
    :src="`/img/${file}`"
  />
</template>
<script>
export default {
  props: {
    file: {
      type: [String],
      required: true,
    },
    alt: {
      type: [String],
      required: false,
      default: null,
    },
    fullWidth: {
      type: [Boolean],
      default: false,
    },
    fullSize: {
      type: [Boolean],
      default: false,
    },
  },
};
</script>
